<p-panel header="Request" [toggleable]="false" [style]="{'margin-bottom':'20px'}">
    <table cellspacing="5" cellpadding="5">
    <tr>
        <td>Request Type</td>
        <td>:</td>
        <td>
            <span style="font-weight:600;">{{requestProduct.requestTypeDescription}}</span>
        </td>
    </tr>
    <tr>
        <td>{{'mpmApp.requestProduct.requestNumber' | translate}}</td>
        <td>:</td>
        <td>{{requestProduct.requestNumber}}</td>
    </tr>
    <tr>
        <td>{{'mpmApp.requestProduct.createDate' | translate}}</td>
        <td>:</td>
        <td>{{requestProduct.dateCreate | date : 'dd-MM-yyyy'}}</td>
    </tr>
    <tr>
        <td>{{'mpmApp.requestProduct.facilityFrom' | translate}}</td>
        <td>:</td>
        <td>{{requestProduct.facilityFromDescription}}</td>
    </tr>
    <tr>
        <td>{{'mpmApp.requestProduct.facilityTo' | translate}}</td>
        <td>:</td>
        <td>{{requestProduct.facilityToDescription}}</td>
    </tr>
    </table>
</p-panel>
<form name="editForm" role="form" novalidate #editForm="ngForm">
    <p-dataList [value]="requestItems">
        <p-header>
            Request Items
        </p-header>
        <p-footer>
            <div class="pull-right">
                <button pButton type="button" (click)="save()" [disabled]="editForm.form.invalid || isSave"
                    label="{{'entity.action.save' | translate}}"
                    icon="fa-save"
                    class="ui-button-primary flat-label-button">
                </button>
            </div>
            <div style="clear:both;"></div>
        </p-footer>
        <ng-template let-i="index" let-item pTemplate="item">
            <div style="padding:20px;">
                <div class="ui-g">
                    <div class="ui-g-12 ui-md-12">
                        <b style="font-size:24px;font-weight:600;">{{item.productName}}</b>
                    </div>
                </div>
                <div class="ui-g">
                    <div class="ui-g-6 ui-md-6">
                        <div>Code: {{item.idProduct}}</div>
                        <div>Desc: {{item.description}}</div>
                    </div>
                    <div class="ui-g-6 ui-md-6">
                        <div>Qty Request: {{item.qtyReq}}</div>
                        <div>Qty Transfer: <input [disabled]="isSave" name="qtyTransfer_{{i}}" id="qtyTransfer_{{i}}" [(ngModel)]="item.qtyTransfer" pInputText required></div>
                    </div>
                </div>
            </div>
        </ng-template>
    </p-dataList>
    <small id="info" class="form-text">
        Simpan qty item yang diperbolehkan untuk di moving sebelum di approve.
    </small>
</form>

<div class="ui-g" style="margin:30px 0px;">
    <div class="ui-g-6">
        <button 
            [disabled]="!isSave"
            class="btn btn-primary btn-lg btn-block"
            (click)="processRequest('approve');"
        >Approve</button>
    </div>
    <div class="ui-g-6">
        <button
            class="btn btn-primary btn-lg btn-block"
            (click)="processRequest('reject');"
        >Reject</button>
    </div>
</div>

<div class="pull-right" style="margin-top:10px;">
    <button pButton type="button" [routerLink]="['../../approval-kacab/request-product']"
        label="{{'entity.action.back' | translate}}"
        class="ui-button-danger flat-label-button">
    </button>
</div>

<p-confirmDialog></p-confirmDialog>
